///////
   //    RunInfo.cc
   //    RunInfo Class definitions
   //
   //    Class to that contains all the general info about the run
   //    They will be stored into the 'htCheck' table of the database
   //
   //    Copyright (c) 1999-2004 Comune di Prato - Prato - Italy
   //    Author: Gabriele Bartolini - Prato - Italy <angusgb@users.sourceforge.net>
   //
   //    For copyright details, see the file COPYING in your distribution
   //    or the GNU General Public License version 2 or later 
   //    <http://www.gnu.org/copyleft/gpl.html>
   //
   //    $Id: RunInfo.cc,v 1.10 2008-04-11 11:08:24 angusgb Exp $
   //
   //    G.Bartolini
   //    started: 18.08.2000
///////

#ifdef HAVE_CONFIG_H
#include "htconfig.h"
#endif /* HAVE_CONFIG_H */

#include "RunInfo.h"

///////
   //    Construction
///////

RunInfo::RunInfo ()
: StartTime(), FinishTime(), RetrievedUrls(0), TotUrls(0), ScheduledUrls(0), HTTPSeconds(0),
   HTTPRequests(0), HTTPBytes(0), TCPConnections(0), ServerChanges(0),
   AccessibilityChecks(1),
#if HTDIG_NOTIFICATION
   HtDigNotification(1)
#else
   HtDigNotification(0)
#endif
{
}

///////
   //    Destruction
///////

RunInfo::~RunInfo ()
{
   
}
